Enable per-tracker issue status set

2009-03-05 05:18 - Haomin Liu

Status: Closed Start date: 2009-03-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi All,

We are trying to use redmine to track not only development work items, but also general work items.

This brings a problem. For different types of work items, they seems to have different sets of issue stauts.

For e.g.,

1. For feature dev. items may have such set of status, say:

"proposed", "in evaluation", "in processing", "resolved", "verified"

2. For service related issues, it may have brand new set of status,

"New", "escalate to R&D", "resolved by customer service", "resolved by R&D", "Invalid"

Now Redmine seems to have only one set of status definition, I took some time but can not figure out how to configure it to fit my

current need.

Any solution to me is appreciated!

Best Wishes

Haomin Liu

Brion Technologies.

Related issues:

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04

Related to Redmine - Feature #973: Assign different status sets and workflows... New 2008-04-02

Related to Redmine - Feature #7839: Limit trackers for new issue to certain r... Closed 2011-03-11

Is duplicate of Redmine - Feature #5816: New issue initial status should be s... Closed 2010-07-05

History

#1 - 2009-03-09 07:45 - Thomas Pihl

Dup of #973

#2 - 2010-03-18 15:17 - Danil Sotnikov

+1

I also hope that will be supported :

custom fields appear only if the field A has the value B

#3 - 2010-03-19 01:36 - Krzysztof Szalast

+1

I also need that feature

#4 - 2010-04-29 11:21 - Wytze Keuning

Maybe I don't fully understand what it is that you want; but doesn't Redmine already support this feature? You can add different Issue statuses; you

can also link these statuses to trackers and define a workflow. Depending on the tracker you choose when creating an issue you see different

statuses listed (as defined in your workflow).

#5 - 2013-03-20 16:50 - Dipan Mehta
As of today - Redmine 2.2.x this is quite possible already without any extra code. Basically, you can define all of the states as statuses 

"proposed", "in evaluation", "in processing", "resolved", "verified"

as well as 

"New", "escalate to R&D", "resolved by customer service", "resolved by R&D", "Invalid"

 Now (under Administration > Workflow) for tracker feature do not tick for any state transition which goes to any other the states meant for service

types. That's it, you will never see any of the "resolved by service" etc. under a feature!

This feature should be closed.

#6 - 2013-11-30 08:41 - Toshi MARUYAMA

- Related to Feature #7839: Limit trackers for new issue to certain roles added

#7 - 2016-05-30 18:14 - Marius BĂLTEANU

I think that this feature is available in Redmine 3.2.0 (#5816)

#8 - 2016-06-26 05:51 - Toshi MARUYAMA

- Category deleted (Custom fields)

- Assignee deleted (Jean-Philippe Lang)

- Priority changed from High to Normal

#9 - 2016-06-26 05:51 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Marius BALTEANU wrote:

I think that this feature is available in Redmine 3.2.0 (#5816)

 Thank you for your pointing out.

#10 - 2016-06-26 05:52 - Toshi MARUYAMA

- Is duplicate of Feature #5816: New issue initial status should be settable in workflow added

#11 - 2016-06-26 05:53 - Toshi MARUYAMA

Danil Sotnikov wrote:

+1

I also hope that will be supported :

custom fields appear only if the field A has the value B

 Duplicate of #22026 or etc.
